Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection
Class ComplexKeyHashMap.Entry

    java.lang.Object
      org.codehaus.groovy.reflection.ComplexKeyHashMap.Entry

Direct Known Subclasses:
  DoubleKeyHashMap.Entry, SingleKeyHashMap.Entry, TripleKeyHashMap.Entry, WeakDoubleKeyHashMap.Entry

Enclosing class:
  ComplexKeyHashMap

    public static class ComplexKeyHashMap.Entry

extends Object

Field Summary
`int` | `hash`
`ComplexKeyHashMap.Entry` | `next`
`Object` | `value`

Constructor Summary
`ComplexKeyHashMap.Entry()`

Method Summary
`Object` | `getValue()`
`void` | `setValue(Object value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hash

    public int hash

### next

    public ComplexKeyHashMap.Entry next

### value

    public Object value

Constructor Detail

### ComplexKeyHashMap.Entry

    public ComplexKeyHashMap.Entry()

Method Detail

### getValue

    public Object getValue()

### setValue

    public void setValue(Object value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD